# Uses of Interface
java.security.PrivilegedAction

Packages that use PrivilegedAction
Package
Description
java.security
Provides the classes and interfaces for the security framework.
java.util.concurrent
Utility classes commonly useful in concurrent programming.
javax.security.auth
This package provides a framework for authentication and authorization.

## Uses of PrivilegedAction in java.security

Methods in java.security with parameters of type PrivilegedAction
Modifier and Type
Method
Description
`static <T> T`
AccessController.`doPrivileged(PrivilegedAction<T> action)`
Deprecated, for removal: This API element is subject to removal in a future version.
Performs the specified action.
`static <T> T`
AccessController.`doPrivileged(PrivilegedAction<T> action, AccessControlContext context)`
Deprecated, for removal: This API element is subject to removal in a future version.
Performs the specified action.
`static <T> T`
AccessController.`doPrivileged(PrivilegedAction<T> action, AccessControlContext context, Permission... perms)`
Deprecated, for removal: This API element is subject to removal in a future version.
Performs the specified action.
`static <T> T`
AccessController.`doPrivilegedWithCombiner(PrivilegedAction<T> action)`
Deprecated, for removal: This API element is subject to removal in a future version.
Performs the specified action.
`static <T> T`
AccessController.`doPrivilegedWithCombiner(PrivilegedAction<T> action, AccessControlContext context, Permission... perms)`
Deprecated, for removal: This API element is subject to removal in a future version.
Performs the specified action.

## Uses of PrivilegedAction in java.util.concurrent

Methods in java.util.concurrent with parameters of type PrivilegedAction
Modifier and Type
Method
Description
`static Callable<Object>`
Executors.`callable(PrivilegedAction<?> action)`
Returns a `Callable` object that, when called, runs the given privileged action and returns its result.

## Uses of PrivilegedAction in javax.security.auth

Methods in javax.security.auth with parameters of type PrivilegedAction
Modifier and Type
Method
Description
`static <T> T`
Subject.`doAs(Subject subject, PrivilegedAction<T> action)`
Deprecated, for removal: This API element is subject to removal in a future version.
This method originally performed the specified `PrivilegedAction` with privileges enabled.
`static <T> T`
Subject.`doAsPrivileged(Subject subject, PrivilegedAction<T> action, AccessControlContext acc)`
Deprecated, for removal: This API element is subject to removal in a future version.
This method originally performed the specified `PrivilegedAction` with privileges enabled and restricted by the specified `AccessControlContext`.